Skip to main content

Dashboard Actions

https://api.losant.com/dashboards/DASHBOARD_ID

Below are the various requests that can be performed against the Dashboard resource, as well as the expected parameters and the potential responses.

Delete

Deletes a dashboard

Method And Url

DELETE https://api.losant.com/dashboards/DASHBOARD_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.User, all.User.bounded, dashboard.*, dashboard.delete, only.Organization, or only.Organization.bounded.

Request Path Components

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/dashboards/DASHBOARD_ID

Successful Responses

CodeTypeDescription
200SuccessIf dashboard was successfully deleted

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Get

Retrieves information on a dashboard

Method And Url

GET https://api.losant.com/dashboards/DASHBOARD_ID

Authentication

No authentication is required for this endpoint.

Request Path Components

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b

Request Query Parameters

NameRequiredDescriptionDefaultExample
passwordNPassword for password-protected dashboardspassword=myPassword

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-X GET \
https://api.losant.com/dashboards/DASHBOARD_ID

Successful Responses

CodeTypeDescription
200DashboardDashboard information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Patch

Updates information about a dashboard

Method And Url

PATCH https://api.losant.com/dashboards/DASHBOARD_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.User, all.User.bounded, dashboard.*, dashboard.patch, only.Organization, or only.Organization.bounded.

Request Path Components

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Dashboard Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated Dashboard",
"description": "Description of my updated dashboard",
"refreshRate": 300,
"public": true
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated Dashboard","description":"Description of my updated dashboard","refreshRate":300,"public":true}' \
https://api.losant.com/dashboards/DASHBOARD_ID

Successful Responses

CodeTypeDescription
200DashboardUpdated dashboard information

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Send Report

Sends a snapshot of a dashboard

Method And Url

POST https://api.losant.com/dashboards/DASHBOARD_ID

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.bounded, all.User, all.User.bounded, dashboard.*, dashboard.sendReport, only.Organization, or only.Organization.bounded.

Request Path Components

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Dashboard Send Report schema. For example, the following would be a valid body for this request:

{
"toEmail": [
"email@example.com"
],
"subject": "Dashboard Report",
"message": "Lookit",
"time": 1551887386704,
"theme": "dark",
"timezone": "America/New_York",
"locale": "en-us"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"toEmail":["email@example.com"],"subject":"Dashboard Report","message":"Lookit","time":1551887386704,"theme":"dark","timezone":"America/New_York","locale":"en-us"}' \
https://api.losant.com/dashboards/DASHBOARD_ID

Successful Responses

CodeTypeDescription
202Job Enqueued API ResultIf dashboard report was enqueued to be sent

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Validate Context

Validates a context object against the dashboard's context configuration

Method And Url

POST https://api.losant.com/dashboards/DASHBOARD_ID/validateContext

Authentication

No authentication is required for this endpoint.

Request Path Components

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b

Request Query Parameters

NameRequiredDescriptionDefaultExample
passwordNPassword for password-protected dashboardspassword=myPassword
durationNDuration of data to fetch in millisecondsduration=3600000
resolutionNResolution in millisecondsresolution=60000
endNEnd timestamp of the data, in ms since epochend=1465790400000

Request Body

The body of the request should be serialized JSON that validates against the Dashboard Context Instance schema. For example, the following would be a valid body for this request:

{
"myContextVariable": "myValue",
"myOtherVariable": "575ecf887ae143cd83dc4aa2"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-X POST \
-d '{"myContextVariable":"myValue","myOtherVariable":"575ecf887ae143cd83dc4aa2"}' \
https://api.losant.com/dashboards/DASHBOARD_ID/validateContext

Successful Responses

CodeTypeDescription
200Validate Context SuccessIf context is valid

Error Responses

CodeTypeDescription
400Validate Context ErrorError if context is invalid
404ErrorError if dashboard or application was not found

Schemas

Dashboard

Schema for a single Dashboard

Dashboard Schema

  • {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • {} 27 keys
      • {} 2 keys
        • {} 2 keys
          • {} 2 keys
            • {} 2 keys
              • {} 2 keys
                • {} 2 keys
                  • {} 2 keys
                    • {} 2 keys
                      • {} 2 keys
                        • {} 2 keys
                          • {} 3 keys
                            • {} 2 keys
                              • {} 2 keys
                                • {} 2 keys
                                  • {} 2 keys
                                    • {} 3 keys
                                      • {} 3 keys
                                        • {} 2 keys
                                          • {} 3 keys
                                            • {} 2 keys
                                              • {} 2 keys
                                                • {} 2 keys
                                                  • {} 1 key
                                                    • {} 1 key
                                                      • {} 3 keys
                                                        • {} 2 keys
                                                          • {} 3 keys

                                                        Dashboard Example

                                                        • {} 20 keys
                                                          • "575ece2b7ae143cd83dc4a9b"
                                                          • "575ece2b7ae143cd83dc4a9b"
                                                          • "2016-06-13T04:00:00.000Z"
                                                          • "2016-06-13T04:00:00.000Z"
                                                          • "Example Org"
                                                          • "#284fff"
                                                          • "organization"
                                                          • "58238ff2fe7b4b01009a0554"
                                                          • "My Dashboard"
                                                          • "The best dashboard description"
                                                          • 60
                                                          • false
                                                          • false
                                                          • "light"
                                                          • [] 0 items
                                                            • 600000
                                                            • 6000
                                                            • "admin"
                                                            • [] 1 item
                                                              • [] 5 items

                                                              Dashboard Context Instance

                                                              Schema for a dashboard context instance

                                                              Dashboard Context Instance Schema

                                                              • {} 4 keys
                                                                • "http://json-schema.org/draft-07/schema#"
                                                                • "object"
                                                                • {} 1 key
                                                                  • false

                                                                Dashboard Context Instance Example

                                                                • {} 2 keys
                                                                  • "myValue"
                                                                  • "575ecf887ae143cd83dc4aa2"

                                                                Dashboard Patch

                                                                Schema for the body of a Dashboard modification request

                                                                Dashboard Patch Schema

                                                                • {} 4 keys
                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                  • "object"
                                                                  • {} 11 keys
                                                                    • {} 3 keys
                                                                      • {} 2 keys
                                                                        • {} 3 keys
                                                                          • {} 2 keys
                                                                            • {} 3 keys
                                                                              • {} 2 keys
                                                                                • {} 2 keys
                                                                                  • {} 2 keys
                                                                                    • {} 1 key
                                                                                      • {} 1 key
                                                                                        • {} 3 keys
                                                                                        • false

                                                                                      Dashboard Patch Example

                                                                                      • {} 4 keys
                                                                                        • "My Updated Dashboard"
                                                                                        • "Description of my updated dashboard"
                                                                                        • 300
                                                                                        • true

                                                                                      Dashboard Send Report

                                                                                      Schema for the body of a Dashboard report request

                                                                                      Dashboard Send Report Schema

                                                                                      • {} 5 keys
                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                        • "object"
                                                                                        • {} 10 keys
                                                                                          • {} 4 keys
                                                                                            • {} 3 keys
                                                                                              • {} 2 keys
                                                                                                • {} 2 keys
                                                                                                  • {} 2 keys
                                                                                                    • {} 1 key
                                                                                                      • {} 2 keys
                                                                                                        • {} 2 keys
                                                                                                          • {} 5 keys
                                                                                                            • {} 1 key
                                                                                                            • [] 2 items
                                                                                                              • false

                                                                                                            Dashboard Send Report Example

                                                                                                            • {} 7 keys
                                                                                                              • [] 1 item
                                                                                                                • "Dashboard Report"
                                                                                                                • "Lookit"
                                                                                                                • 1551887386704
                                                                                                                • "dark"
                                                                                                                • "America/New_York"
                                                                                                                • "en-us"

                                                                                                              Error

                                                                                                              Schema for errors returned by the API

                                                                                                              Error Schema

                                                                                                              • {} 3 keys
                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                • "object"
                                                                                                                • {} 3 keys
                                                                                                                  • {} 1 key
                                                                                                                    • {} 1 key
                                                                                                                      • {} 2 keys

                                                                                                                    Error Example

                                                                                                                    • {} 2 keys
                                                                                                                      • "NotFound"
                                                                                                                      • "Application was not found"

                                                                                                                    Job Enqueued API Result

                                                                                                                    Schema for the result of a job being queued

                                                                                                                    Job Enqueued API Result Schema

                                                                                                                    • {} 3 keys
                                                                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                                                                      • "object"
                                                                                                                      • {} 3 keys
                                                                                                                        • {} 2 keys
                                                                                                                          • {} 2 keys
                                                                                                                            • {} 2 keys

                                                                                                                          Job Enqueued API Result Example

                                                                                                                          • {} 3 keys
                                                                                                                            • true
                                                                                                                            • "clnHvJbyVkOWAZwYAwLP4"
                                                                                                                            • true

                                                                                                                          Success

                                                                                                                          Schema for reporting a successful operation

                                                                                                                          Success Schema

                                                                                                                          • {} 3 keys
                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                            • "object"
                                                                                                                            • {} 1 key
                                                                                                                              • {} 2 keys

                                                                                                                            Success Example

                                                                                                                            • {} 1 key
                                                                                                                              • true

                                                                                                                            Validate Context Error

                                                                                                                            Schema for the result of a validateContext call when invalid context is passed

                                                                                                                            Validate Context Error Schema

                                                                                                                            • {} 3 keys
                                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                                              • "object"
                                                                                                                              • {} 5 keys
                                                                                                                                • {} 1 key
                                                                                                                                  • {} 1 key
                                                                                                                                    • {} 2 keys
                                                                                                                                      • {} 3 keys
                                                                                                                                        • {} 2 keys

                                                                                                                                      Validate Context Error Example

                                                                                                                                      • {} 3 keys
                                                                                                                                        • "Validation"
                                                                                                                                        • "deviceId-noValidationNoFullDevice (589de9bca1975a00017b22ff) is not a valid deviceId"
                                                                                                                                        • {} 5 keys

                                                                                                                                        Validate Context Success

                                                                                                                                        Schema for the result of a successful validateContext call

                                                                                                                                        Validate Context Success Schema

                                                                                                                                        • {} 3 keys
                                                                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                                                                          • "object"
                                                                                                                                          • {} 3 keys
                                                                                                                                            • {} 2 keys
                                                                                                                                              • {} 3 keys
                                                                                                                                                • {} 2 keys

                                                                                                                                              Validate Context Success Example

                                                                                                                                              • {} 3 keys
                                                                                                                                                • true
                                                                                                                                                • {} 5 keys
                                                                                                                                                  • {} 5 keys

                                                                                                                                                  Was this page helpful?


                                                                                                                                                  Still looking for help? You can also search the Losant Forums or submit your question there.